Subject: Re: bug#2134: [PATCH] progmodes/compile.el: check global-font-lock-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 31 Jan 2009 14:54:15 -0500

> Here is patch to not to turn on font-lock unconditionally. Patch is
> against Emacs version control tree check out 2009-01-31.

If you read the rest of the compile.el code, you'll see that it uses
font-lock to do its job, which is why it's turned on unconditionally.

        Stefan